- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Basic_Arg_Traits_T< T, Insert_Policy > Struct Template Reference

Template class for stub argument traits of basic IDL types. More...

`#include <Basic_Argument_T.h>`

Inheritance diagram for TAO::Basic_Arg_Traits_T< T, Insert_Policy >:

[legend]
List of all members.

## Public Types
typedef T | ret_type
typedef T | in_type
typedef T & | inout_type
typedef T & | out_type
typedef In_Basic_Argument_T< T, Insert_Policy > | in_arg_val
typedef Inout_Basic_Argument_T< T, Insert_Policy > | inout_arg_val
typedef Out_Basic_Argument_T< T, Insert_Policy > | out_arg_val
typedef Ret_Basic_Argument_T< T, Insert_Policy > | ret_val
typedef Basic_Tag | idl_tag

## Detailed Description

### template<typename T, typename Insert_Policy>
struct TAO::Basic_Arg_Traits_T< T, Insert_Policy >

Template class for stub argument traits of basic IDL types.

## Member Typedef Documentation

template<typename T, typename Insert_Policy>

typedef Basic_Tag TAO::Basic_Arg_Traits_T< T, Insert_Policy >::idl_tag

template<typename T, typename Insert_Policy>

typedef In_Basic_Argument_T<T, Insert_Policy> TAO::Basic_Arg_Traits_T< T, Insert_Policy >::in_arg_val

template<typename T, typename Insert_Policy>

typedef T TAO::Basic_Arg_Traits_T< T, Insert_Policy >::in_type

template<typename T, typename Insert_Policy>

typedef Inout_Basic_Argument_T<T, Insert_Policy> TAO::Basic_Arg_Traits_T< T, Insert_Policy >::inout_arg_val

template<typename T, typename Insert_Policy>

typedef T& TAO::Basic_Arg_Traits_T< T, Insert_Policy >::inout_type

template<typename T, typename Insert_Policy>

typedef Out_Basic_Argument_T<T, Insert_Policy> TAO::Basic_Arg_Traits_T< T, Insert_Policy >::out_arg_val

template<typename T, typename Insert_Policy>

typedef T& TAO::Basic_Arg_Traits_T< T, Insert_Policy >::out_type

template<typename T, typename Insert_Policy>

typedef T TAO::Basic_Arg_Traits_T< T, Insert_Policy >::ret_type

template<typename T, typename Insert_Policy>

typedef Ret_Basic_Argument_T<T, Insert_Policy> TAO::Basic_Arg_Traits_T< T, Insert_Policy >::ret_val

The documentation for this struct was generated from the following file:

- Basic_Argument_T.h